Next: Formatted output conversion Up: Smac definition Previous: Keywords

# Predefined functions

Here we describe Smac predefined functions not linked with Xcoral. Some of these functions could have been defined in Smac but they are predefined for performance reasons.

- Formatted output conversion
  - printf
  - sprintf
- Memory
  - malloc
  - calloc
  - free
  - memcpy
- Strings
  - strcat
  - strchr
  - strcmp
  - strcpy
  - strcspn
  - strdup
  - strlen
  - strncat
  - strncmp
  - strncpy
  - strpbrk
  - strrchr
  - strspn
  - strstr
  - strtok
  - index
  - rindex
- Redefinition
  - remove_function_definition
  - debug_mode
- Function
  - function_name
  - function_arg_count
  - function_is_builtin
  - function_type
  - function_list init_function_list
- Execution profile
  - start_profile
  - stop_profile
  - function_percent
- Others
  - load_file
  - error
  - showed_stack_size